#
# spec file for package perl-libwww-perl (Version 5.808)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           perl-libwww-perl
BuildRequires:  perl-Compress-Zlib perl-HTML-Parser perl-URI
Version:        5.808
Release:        1
Provides:       libwww-perl
Provides:       perl_lw3
Obsoletes:      perl_lw3
Requires:       perl-HTML-Parser perl-HTML-Tagset perl-URI
Requires:       perl = %{perl_version}
Recommends:     perl-Crypt-SSLeay
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic License
Url:            http://www.cpan.org/modules/by-module/WWW/
Summary:        Modules Providing a World Wide Web API
Source:         libwww-perl-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libwww-perl is a collection of Perl modules which provide a simple and
consistent application programming interface (API) to the World Wide
Web.



Authors:
--------
    Gisle Aas <gisle@aas.no>
    Martijn Koster

%prep
%setup -q -n libwww-perl-%{version}

%build
perl Makefile.PL
make

%check
#disable test that require network connection
mv t/live/jigsaw-chunk.t t/live/jigsaw-chunk.tt
mv t/live/jigsaw-md5.t t/live/jigsaw-md5.tt
mv t/live/jigsaw-md5-get.t t/live/jigsaw-md5-get.tt
make test

%install
rm -rf $RPM_BUILD_ROOT
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README README.SSL
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/File
%{perl_vendorlib}/HTML
%{perl_vendorlib}/HTTP
%{perl_vendorlib}/LWP
%{perl_vendorlib}/Net
%{perl_vendorlib}/WWW
%{perl_vendorlib}/LWP.pm
%{perl_vendorlib}/lwpcook.pod
%{perl_vendorlib}/lwptut.pod
%{perl_vendorarch}/auto/LWP
%{_bindir}/*
/var/adm/perl-modules/%{name}
%changelog
* Mon Oct 08 2007 - anicka@suse.cz
- update to 5.808
  *  Get rid of t/live/validator test.  Too much JavaScript madness
  for it to be a sane LWP test.
  * bugfixes
* Wed Jul 25 2007 - anicka@suse.cz
- update to 5.806
  * Added progress callback to LWP::UserAgent.
  * Add support for HTTP Expect header to HTTP::Daemon
  * Fix t/base/message.t so tests are skipped if Encode is not
  installed.
  * Add HTML::Tagset as a prerequisite to Makefile.PL
  * bugfixes
* Wed Oct 18 2006 - anicka@suse.cz
- add perl-Crypt-SSLeay to Recommends (#211537)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - anicka@suse.cz
- update to 5.805
* Thu Feb 17 2005 - mjancar@suse.cz
- update top 5.803
* Thu Feb 26 2004 - mjancar@suse.cz
  update to 5.76
* Wed Oct 22 2003 - mjancar@suse.cz
- update to 5.73
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 - mjancar@suse.cz
- fix filelist
* Tue Jun 10 2003 - mjancar@suse.cz
- update to 5.69
- don't package MANIFEST
* Mon May 19 2003 - ro@suse.de
- remove perllocal.pod
* Mon Jul 29 2002 - mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Fri Jul 12 2002 - prehak@suse.cz
- update to version 5.65
- enabled make test
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Wed Jan 16 2002 - rvasice@suse.cz
- fixed needeforbuild, disabled make test
* Tue Jan 15 2002 - rvasice@suse.cz
- update to version 5.63
* Tue Aug 14 2001 - rvasice@suse.cz
- update to version 5.53
* Fri Apr 20 2001 - cihlar@suse.cz
- on ia64 removed tests which starts and then connect
  server
* Mon Mar 26 2001 - cihlar@suse.cz
- added make test
* Wed Mar 14 2001 - cihlar@suse.cz
- update to version 5.50
* Tue Nov 14 2000 - cihlar@suse.cz
- renamed perl_lw3 -> perl-libwww-perl
* Thu Aug 24 2000 - cihlar@suse.cz
- updated to version 5.48
- bzipped sources
* Mon Aug 21 2000 - ro@suse.de
- adapted for perl-5.6
* Wed Jul 12 2000 - cihlar@suse.cz
- fixed bug with sort
* Mon Jun 19 2000 - ro@suse.de
-  fixed requires and neededforbuild
* Mon Jun 19 2000 - cihlar@suse.cz
- package created
